petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMGetDimension

Return the topological dimension of the DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetDimension(DM dm, PetscInt *dim)

Not collective

### Input Parameter

dm -The DM

### Output Parameter

dim -The topological dimension

### See Also

DMSetDimension(), DMCreate()

### Level

beginner

### Location

src/dm/interface/dm.c

### Examples

src/dm/field/examples/tutorials/ex1.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
src/snes/examples/tutorials/ex12.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages